DECOM LFR - Bug #123

Typage du temps dans le calcul du CUC time.
11/04/2014 05:03 PM - bruno katra

Status: Closed Start date: 11/04/2014
Priority: High Due date:

Assignee: bruno katra % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r40

Description

Actuellement, le résultat final du calcul du temps :
coarse + fine est casté dans un double.
Selon Thomas pas suffisant pour garder assez de précision (14 chiffres significatifs alors qu'on en voudrait 16 = 10+6 digits)

Il faudrait maintenir le calcul et I'affichage séparé en integer pour le coarse et float pour le fine time.

Update : on fait le double affichage dans le fichier de sortie : integer (2*-16 unit) + temps en float avec affichage séparé pour garder
toute la précision car cet affichage pourra étre utile pour la validation

Related issues:
Related to Task #122: Calcul optimisé du fine time. Closed 11/04/2014

History

#1 - 23/04/2014 10:21 AM - bruno katra
- % Done changed from 0 to 30

Plus la peine :
Explications Thomas : pour le L1 on garde le CUC time sous forme d'entier tel qu'il est dans le binaire (48 bits dans un unsigned int 64).
Il ne souhaite pas de conversion en secondes float a cette étape

A confirmer : est-ce vraiment nécessaire de perdre ce temps apres en L2? D'un autre cété plus sur car la decom faite au LESIA sera difficile a valider
et a modifier.

#2 - 23/04/2014 11:40 AM - bruno katra

- Status changed from New to In Progress

#3 - 23/04/2014 11:42 AM - bruno katra
- Description updated

- % Done changed from 30 to 40

#4 - 24/04/2014 06:09 PM - bruno katra
- Status changed from In Progress to Closed
- % Done changed from 40 to 100

- revision changed from r0 to r40

Implémenté et testé OK dans r40
